Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 251553 - net-p2p/knapster2 fails to build with gcc 4.3
Summary: net-p2p/knapster2 fails to build with gcc 4.3
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo TreeCleaner Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-12-18 21:49 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-05-30 00:32 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (knapster2-0.5:20081218-211204.log,61.78 KB, text/plain)
2008-12-18 21:50 UTC, Diego Elio Pettenò (RETIRED)
Details
proposed patch to allow building with gcc 4.3 (knapster2-0.5-gcc43.patch,9.57 KB, patch)
2009-01-27 01:09 UTC, Gene Seto
Details | Diff
updated ebuild to include gcc 4.3 patch (knapster2-0.5.ebuild,602 bytes, text/plain)
2009-01-27 01:38 UTC, Gene Seto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-18 21:49:03 UTC
Check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-18 21:50:34 UTC
Created attachment 175800 [details]
Build log
Comment 2 Gene Seto 2009-01-27 01:09:10 UTC
Created attachment 179839 [details, diff]
proposed patch to allow building with gcc 4.3
Comment 3 Gene Seto 2009-01-27 01:38:49 UTC
Created attachment 179841 [details]
updated ebuild to include gcc 4.3 patch

I'm not sure if it's worth keeping knapster2 in the tree anymore. Does anyone know if opennap / napster / whatever else was created are still alive?
Comment 4 Ryan Hill (RETIRED) gentoo-dev 2009-02-24 02:06:05 UTC
moving to treecleaner
Comment 5 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-21 23:06:01 UTC
thx for the patches Gene. I didn't try them but will look at them if someone comments that they want knapster2 around still.

# Jeremy Olexa <darkside@gentoo.org> (21 Mar 2009)
# Masked for removal in 60 days. Broken with gcc-4.3, not much interest in
# fixing. bug 251553
net-p2p/knapster2
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-30 00:32:47 UTC
removed from tree, wontfix